package de.ivu.elect.sitzberechnung.entity;

import de.ivu.elect.sitzberechnung.Gebiet;
import de.ivu.elect.sitzberechnung.Gruppe;
import de.ivu.elect.sitzberechnung.Sitze;

public class DefaultSitze implements Sitze {
  private final Gebiet gebiet;
  private final long anzahlSitze;
  private final Gruppe gruppe;

  public DefaultSitze(Gebiet gebiet, long anzahlSitze, Gruppe gruppe) {
    this.gebiet = gebiet;
    this.anzahlSitze = anzahlSitze;
    this.gruppe = gruppe;
  }

  @Override
  public long getAnzahlSitze() {
    return anzahlSitze;
  }

  @Override
  public Gruppe getGruppe() {
    return gruppe;
  }

  @Override
  public Gebiet getGebiet() {
    return gebiet;
  }

  @Override
  public String toString() {
    return "DefaultSitze{" +
            "gebiet=" + gebiet +
            ", anzahlSitze=" + anzahlSitze +
            ", gruppe=" + gruppe +
            '}';
  }
}
